/****************************************************************************
**
** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the QtGui module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Licensees holding valid Qt Enterprise licenses may use this file in
** accordance with the Qt Enterprise License Agreement provided with the 
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QMOUSEINTEGRITY_QWS_H
#define QMOUSEINTEGRITY_QWS_H

#include <QtGui/qmouse_qws.h>

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

#ifndef QT_NO_QWS_MOUSE_INTEGRITY

class QSocketNotifier;
class QIntMousePrivate;

class QIntMouseHandler : public QObject, public QWSCalibratedMouseHandler {
    Q_OBJECT
public:
    QIntMouseHandler(const QString &driver = QString(),
            const QString &device = QString());
    ~QIntMouseHandler();

    void resume();
    void suspend();

    void calibrate(const QWSPointerCalibrationData *data);
    void clearCalibration();

private:
    QIntMousePrivate *d;
private Q_SLOTS:
    void readMouseData(int x, int y, int buttons);
};
#endif // QT_NO_QWS_MOUSE_INTEGRITY

QT_END_NAMESPACE

QT_END_HEADER

#endif // QMOUSEINTEGRITY_QWS_H
